Spaces method and path for this operation:
post /s/{space_id}/api/synthetics/monitor/test/{monitorId}
Refer to Spaces for more information.
Trigger an immediate test execution for the specified monitor.
The response includes the generated testRunId. If the test encounters issues in one or more service locations, an errors array is also returned with details about the failures.
[Required authorization] Route required privileges: (uptime-read) AND (uptime-write OR monitor-run-manually).
POST
/api/synthetics/monitor/test/{monitorId}
curl
curl \
-X POST "${KIBANA_URL}/api/synthetics/monitor/test/monitor-id" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true"
POST kbn://api/synthetics/monitor/test/monitor-id
Response examples (200)
{
"errors": [
{
"error": {
"failed_monitors": null,
"reason": "no auth credentials provided",
"status": 401
},
"locationId": "us_central_staging"
}
],
"testRunId": "2bd506e5-4f9a-4aa6-a019-7988500afba0"
}